Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab
Class PropertyMissingException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--com.compoze.collab.util.NestedException
                        |
                        +--com.compoze.collab.CollaborationException
                              |
                              +--com.compoze.collab.PropertyMissingException

All Implemented Interfaces:
  java.io.Serializable

public class PropertyMissingException
extends CollaborationException

Exception class that means that a property that was requested was not found by the provider (it may not exist, or may have been externally deleted). This exception will only be thrown by properties that would return a primitive value (boolean, double, float, int, long, short). Object properties (String, Date, etc) return null rather than throw this exception.

See Also:
  Serialized Form

Constructor Summary
`PropertyMissingException(com.compoze.collab.spi.Context ctx, com.compoze.collab.spi.ExceptionResourceKey key)` Constructs an PropertyMissingException
`PropertyMissingException(com.compoze.collab.spi.Context ctx, com.compoze.collab.spi.ExceptionResourceKey key, java.lang.Object param)` Constructs an PropertyMissingException
`PropertyMissingException(java.lang.Throwable t, com.compoze.collab.spi.Context ctx, com.compoze.collab.spi.ExceptionResourceKey key)` Constructs an PropertyMissingException
`PropertyMissingException(java.lang.Throwable t, com.compoze.collab.spi.Context ctx, com.compoze.collab.spi.ExceptionResourceKey key, java.lang.Object param)` Constructs an PropertyMissingException

Methods inherited from class com.compoze.collab.CollaborationException
`getAdminMessage, getAdminResolution, getBaseKey, getKey, getProgrammerMessage, getProgrammerResolution, getUserMessage, getUserResolution, main`

Methods inherited from class com.compoze.collab.util.NestedException
`getNestedException, getStackTraceString, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PropertyMissingException

    public PropertyMissingException(com.compoze.collab.spi.Context ctx,
                                    com.compoze.collab.spi.ExceptionResourceKey key)

  Constructs an PropertyMissingException
  Parameters:
    `ctx` -
    `key` -

### PropertyMissingException

    public PropertyMissingException(com.compoze.collab.spi.Context ctx,
                                    com.compoze.collab.spi.ExceptionResourceKey key,
                                    java.lang.Object param)

  Constructs an PropertyMissingException
  Parameters:
    `ctx` -
    `key` -
    `param` -

### PropertyMissingException

    public PropertyMissingException(java.lang.Throwable t,
                                    com.compoze.collab.spi.Context ctx,
                                    com.compoze.collab.spi.ExceptionResourceKey key)

  Constructs an PropertyMissingException
  Parameters:
    `t` -
    `ctx` -
    `key` -

### PropertyMissingException

    public PropertyMissingException(java.lang.Throwable t,
                                    com.compoze.collab.spi.Context ctx,
                                    com.compoze.collab.spi.ExceptionResourceKey key,
                                    java.lang.Object param)

  Constructs an PropertyMissingException
  Parameters:
    `t` -
    `ctx` -
    `key` -
    `param` -

Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2005 BEA Systems, Inc. All rights reserved.